org.codehaus.groovy.antlr

## Class ASTRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.codehaus.groovy.antlr.ASTRuntimeException

All Implemented Interfaces:
  Serializable

    public class ASTRuntimeException
    extends RuntimeException

Version:
  $Revision: 8004 $
Author:
  James Strachan
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ASTRuntimeException(AST ast, String message)`
`ASTRuntimeException(AST ast, String message, Throwable throwable)`

### Method Summary

Methods
`protected static String` `description(AST node)`
`AST` `getAst()`
`int` `getColumn()`
`int` `getLine()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ASTRuntimeException

    public ASTRuntimeException(AST ast,
                       String message)

#### ASTRuntimeException

    public ASTRuntimeException(AST ast,
                       String message,
                       Throwable throwable)

### Method Detail

#### description

    protected static String description(AST node)

#### getAst

    public AST getAst()

#### getLine

    public int getLine()

#### getColumn

    public int getColumn()